


require("sns_share/share_dialog_layout");
require("sns_share/share_node");
ShareDialog = class(DialogBase);



function ShareDialog:ctor()
self.m_scene = new(SceneEx, share_dialog_layout);
self:setContentView(self.m_scene);
self.m_root = self.m_scene:getRoot();
self.m_editText = self.m_root:getChildByName2("share_msg");
self:findViews();
self.shareNode = new(ShareNode)
self:getChildByName2("share_node"):addChild(self.shareNode)
end
function ShareDialog:onRefresh(shareType, params)
self.m_shareType = shareType;
self.m_params = params;
self:initViews();
local headurl = GameCache.getMyHeadIcon();
if headurl ~= "" then
NativeEvent.composeSharePic(shareType, headurl, params, self.onComposeSharePicComplete, self);
else
end
end
function ShareDialog:dtor()
end
function ShareDialog:findViews()

self.shareNode = new(ShareNode)
self:getChildByName2("share_node"):addChild(self.shareNode)
self.m_sharePicImage = self.m_root:getChildByName2("share_pic");
self.m_editText = self.m_root:getChildByName2("share_msg");
self.m_loading_tag = self.m_root:getChildByName2("loading_tag");
self.m_okBtn = self.m_root:getChildByName2("ok_btn");
self.m_closeBtn = self.m_root:getChildByName2("dialogCloseBtn");

self.m_editText.__onTouch = function(et, finger_action, x, y, drawing_id_first, drawing_id_current)
et:onEventTouch(finger_action, x, y, drawing_id_first, drawing_id_current)
if finger_action == kFingerDown then
self.m_ContentView:getChildByName2("share_msg_bg"):setFile("common/public_input_frame_onclick.png");
elseif finger_action == kFingerUp then
self.m_ContentView:getChildByName2("share_msg_bg"):setFile("common/public_input_frame.png");
end
end
self.m_editText.m_drawing:setEventTouch(self.m_editText, self.m_editText.__onTouch)
end
function ShareDialog:initViews()
local title;
if self.m_shareType == 0 then
if self.m_params.multiplier >= GameCache.shareMinMul and self.m_params.multiplier <= GameCache.shareMaxMul then
title = string.format(string_get("share_normal_title1"), self.m_params.multiplier);
self.m_shareTitle = string_get("share_title_24");
elseif self.m_params.multiplier > GameCache.shareMaxMul then
self.m_shareTitle = string_get("share_title_96");
title = string.format(string_get("share_normal_title2"), self.m_params.multiplier);
else
title = string.format(string_get("share_normal_title1"), self.m_params.multiplier);
self.m_shareTitle = string_get("share_title_24");
end
elseif self.m_shareType == 1 then
if self.m_params.rank == 1 then
title = string_get("share_match_first_title");
elseif self.m_params.rank == 2 then
title = string_get("share_match_second_title");
elseif self.m_params.rank == 3 then
title = string_get("share_match_third_title");
else
title = string_get("share_match_other_title");
end
elseif self.m_shareType == 2 then
local itemName = self.m_params.exchangeItemName or "";
title = string.format(string_get("share_exchange_title"), itemName);
else
title = "Landlord title";
end
self.m_editText:setText(title);
self.m_okBtn:setOnClick(self, self.onOkBtnClick);
self.m_closeBtn:setOnClick(self, function (self)
self:close();

end);
end
function ShareDialog:onOkBtnClick()
local text = self.m_editText:getText();
if text == "" then
NoticeUtil.startAlarmNotice(string_get("share_text_needed"));
else
local shareFuc = self.shareNode:getShareFunction()
shareFuc(self)
end
end
function ShareDialog:onComposeSharePicComplete(filePath)
self.m_loading_tag:setVisible(false);
local img = new(Image,filePath);
local imgW,imgH = img:getSize();
local tempW,tempH = self.m_sharePicImage:getSize();
local nowImgH = imgH * tempW / imgW ;
local nowImgW = tempW;
local imgX = 0;
local imgY = (tempH - nowImgH) / 2;
self.m_sharePicImage:addChild(img);
img:setPos(imgX,imgY);
img:setSize(nowImgW,nowImgH);
end
function ShareDialog:onShareResult(result)
if result == 1 then
NoticeUtil.BannerNotice(string_get("share_success"));
ShareRewardCache:setUserHasSharedToday();
if self and self:getDrawingID() then
self:close();
end
elseif result == 0 then
ShareRewardCache:setUserHasSharedToday();
if self and self:getDrawingID() then
self:close();
end
else
if self and self:getDrawingID() then
self:close();
end
end
end
